Package org.apache.solr.client.solrj.io.eval

## Class VectorFunction

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<Number>
      - - org.apache.solr.client.solrj.io.eval.VectorFunction

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<Number>`, `Collection<Number>`, `List<Number>`, `RandomAccess`

    public class VectorFunction
    extends ArrayList<Number>

See Also:
  Serialized Form

### Field Summary

Fields
`protected static long` `serialVersionUID`

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
`VectorFunction​(Object function, double[] results)`
`VectorFunction​(Object function, List<? extends Number> values)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToContext​(Object key, Object value)`
`Object` `getFromContext​(Object key)`
`Object` `getFunction()`

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream, toArray`

### Methods inherited from interface java.util.List

`containsAll`

### Field Detail

#### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### VectorFunction

    public VectorFunction​(Object function,
                          double[] results)

#### VectorFunction

    public VectorFunction​(Object function,
                          List<? extends Number> values)

### Method Detail

#### getFunction

    public Object getFunction()

#### addToContext

    public void addToContext​(Object key,
                             Object value)

#### getFromContext

    public Object getFromContext​(Object key)